Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateQt.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateQt.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateQt.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateQt.hh,v 1.7 2007/06/25 21:17:44 $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4OpenGLImmediateQt.hh,v 1.1 2007/09/28 14:44:13 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateQtViewer.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateQtViewer.hh,v 1.9 2007/06/25 21:17:46 $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4OpenGLImmediateQtViewer.hh,v 1.2 2007/11/08 17:00:51 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -40,5 +40,6 @@
 #include "G4OpenGLImmediateViewer.hh"
 #include "G4OpenGLQtViewer.hh"
-#include <QGLWidget>
+
+#include <QtOpenGL/QGLWidget>
 
 #include "globals.hh"
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateSceneHandler.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateSceneHandler.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateSceneHandler.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateSceneHandler.hh,v 1.11 2006/08/16 10:34:36 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLImmediateSceneHandler.hh,v 1.13 2007/04/04 16:50:26 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -59,23 +59,11 @@
   void EndModeling ();
   void AddPrimitive (const G4Polyline&);
+  void AddPrimitive (const G4Polymarker&);
+  void AddPrimitive (const G4Text& text);
   void AddPrimitive (const G4Circle&);
   void AddPrimitive (const G4Square&);
-  // Explicitly invoke base class methods to avoid warnings about
-  // hiding of base class methods...
-  void AddPrimitive (const G4Text& text) {
-    G4OpenGLSceneHandler::AddPrimitive (text);
-  }
-  void AddPrimitive (const G4Polyhedron& polyhedron) {
-    G4OpenGLSceneHandler::AddPrimitive (polyhedron);
-  }
-  void AddPrimitive (const G4NURBS& nurbs) {
-    G4OpenGLSceneHandler::AddPrimitive (nurbs);
-  }
-  void AddPrimitive(const G4Polymarker& polymarker) {
-    G4OpenGLSceneHandler::AddPrimitive (polymarker);
-  }
-  void AddPrimitive (const G4Scale& scale) {
-    G4OpenGLSceneHandler::AddPrimitive (scale);
-  }
+  void AddPrimitive (const G4Scale& scale);
+  void AddPrimitive (const G4Polyhedron&);
+  void AddPrimitive (const G4NURBS&);
   void ClearTransientStore ();
 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateViewer.hh,v 1.9 2006/09/04 12:07:59 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateWin32.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateWin32.hh,v 1.7 2006/06/29 21:17:44 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateWin32Viewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateWin32Viewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateWin32Viewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateWin32Viewer.hh,v 1.9 2006/06/29 21:17:46 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateX.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateX.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateX.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateX.hh,v 1.7 2006/06/29 21:17:48 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateXViewer.hh,v 1.9 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXm.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXm.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXm.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateXm.hh,v 1.7 2006/06/29 21:17:52 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXmViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXmViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLImmediateXmViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLImmediateXmViewer.hh,v 1.9 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLQtExportDialog.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLQtExportDialog.hh,v 0.1 2007/09/20 15:18:20 garnier $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLQtExportDialog.hh,v 1.2 2007/11/08 17:00:51 lgarnier Exp $
+// GEANT4 tag $Name: 
 //
 // 
@@ -35,6 +35,5 @@
 #define G4OPENGLQTEXPORTDIALOG_HH
 
-#include <qvariant.h>
-#include <qdialog.h>
+#include <QtGui/QDialog.h>
 
 class QButtonGroup;
@@ -47,4 +46,7 @@
 class QLineEdit;
 
+/** The G4OpenGLQtExportDialog class provide a Dialog displaying differents options
+  for each file format
+ */
 class G4OpenGLQtExportDialog : public QDialog
 {
@@ -52,21 +54,44 @@
 
 public:
-  G4OpenGLQtExportDialog(QWidget* parent, QString name, int, int);
+  /** Construct a G4OpenGLQtExportDialog
+      @param parent : parent widget
+      @param name : name of the saved file with extention
+      @param height : height of the original file
+      @param width : width of the original file
+  */
+  G4OpenGLQtExportDialog(QWidget* parent, QString name, int height =0, int width=0);
+
+  /** Destroys G4OpenGLQtExportDialog */
   ~G4OpenGLQtExportDialog();
 
+  /** @return the value of the slider if format has a slider widget, instead return -1 */
   int getSliderValue();
+
+  /** return the new width for file if format has a width widget, instead return -1 */
   int getWidth();
+
+  /** return the new height for file if format has a height widget, instead return -1 */
   int getHeight();
-  int getTransparency();
+
+  /** return the value of the transparency if format has a transparency, instead return -1 */
+  bool getTransparency();
+
+  /** return the numbers of colors in the picture if format has a BW/Color widget, instead return -1 */
   int getNbColor();
 
 public slots:
+
+/** Called by a clic on modify/original size button.This will 
+    invert buttons and hide/unhide size
+*/
   void changeSizeBox(bool);  
+
+  /** Called by changing value in height lineEdit. If ratio is keep, will also change the width
+   */
   void textWidthChanged(const QString &); 
+
+  /** Called by changing value in width lineEdit. If ratio is keep, will also change the height
+   */
   void textHeightChanged(const QString &); 
-
-signals:
-  void options(const QString&, const QString&, int, bool);
-  void exportAll(const QString&, const QString&, int, bool);
 
 private:
@@ -80,5 +105,5 @@
   QSlider * qualitySlider;
   QLabel *formatLabel;
-  QRadioButton* color,*BW;
+  QRadioButton* colorButton,*BWButton;
   QRadioButton* original,* modify;
   QLineEdit* height,*width;
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLQtViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLQtViewer.hh,v 1.13 2006/06/29 21:18:20 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4OpenGLQtViewer.hh,v 1.2 2007/11/08 17:00:51 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -42,11 +42,13 @@
 #include "G4OpenGLSceneHandler.hh"
 
-#include <QObject>
-#include <QGLWidget>
-#include <QDialog>
-#include <QContextMenuEvent>
-#include <QMenu>
-#include <QPoint>
-#include <QImage>
+#include <QtCore/QObject>
+#include <QtCore/QPoint>
+
+class QGLWidget;
+class QDialog;
+class QContextMenuEvent;
+class QMenu;
+class QImage;
+class QAction;
 
 class G4OpenGLSceneHandler;
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLSceneHandler.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLSceneHandler.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLSceneHandler.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLSceneHandler.hh,v 1.20 2006/08/30 11:37:34 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLSceneHandler.hh,v 1.23 2007/04/04 16:50:26 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -45,24 +45,30 @@
 #include "G4VSceneHandler.hh"
 #include "G4OpenGLViewer.hh"
+#include "G4OpenGLBitMapStore.hh"
+#include <map>
 
-// Base class for various OpenGLScene classes.
+class G4AttHolder;
+
+// Base class for various OpenGLSceneHandler classes.
 class G4OpenGLSceneHandler: public G4VSceneHandler {
 
+  friend class G4OpenGLViewer;
+
 public:
+  virtual void BeginPrimitives (const G4Transform3D& objectTransformation);
+  virtual void EndPrimitives ();
+  virtual void BeginPrimitives2D ();
+  virtual void EndPrimitives2D ();
   void AddPrimitive (const G4Polyline&);
+  void AddPrimitive (const G4Polymarker&);
   void AddPrimitive (const G4Text&);
   void AddPrimitive (const G4Circle&);
   void AddPrimitive (const G4Square&);
+  void AddPrimitive (const G4Scale&);
   void AddPrimitive (const G4Polyhedron&);
   void AddPrimitive (const G4NURBS&);
-  // Explicitly invoke base class methods to avoid warnings about
-  // hiding of base class methods...
-  void AddPrimitive(const G4Polymarker& polymarker) {
-    G4VSceneHandler::AddPrimitive (polymarker);
-  }
-  void AddPrimitive (const G4Scale& scale) {
-    G4VSceneHandler::AddPrimitive (scale);
-  }
 
+  void PreAddSolid (const G4Transform3D& objectTransformation,
+		    const G4VisAttributes&);
   void AddSolid (const G4Box&);
   void AddSolid (const G4Cons&);
@@ -89,22 +95,23 @@
   const G4Polyhedron* CreateCutawayPolyhedron ();
 
+  GLuint fPickName;
+  std::map<GLuint, G4AttHolder*> fPickMap;  // For picking.
+  void ClearAndDestroyAtts();  // Destroys att holders and clears pick map.
+
 private:
 
-  void AddCircleSquare (const G4VMarker&, G4int nSides);
-  /**************************************************
-  Not needed - but see note on future development in .cc.
-  void DrawScreenPolygon (G4double size,
-		          const G4Point3D& centre,
-		          G4int nSides);
-  // Draws in screen coordinates.
-  *********************************/
+  void AddCircleSquare (const G4VMarker&, G4OpenGLBitMapStore::Shape);
 
-  void DrawXYPolygon (G4double size,
-		      const G4Point3D& centre,
-		      G4int nSides);
+  void DrawXYPolygon
+  (G4OpenGLBitMapStore::Shape,
+   G4double size,
+   const G4Point3D& centre,
+   const G4VisAttributes* pApplicableVisAtts);
   // Draws in world coordinates a polygon in the screen plane knowing
   // viewpoint direction and up vector.
 
   static const GLubyte fStippleMaskHashed [128];
+
+  G4bool fProcessingPolymarker;
 };
 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLSceneHandler.icc
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLSceneHandler.icc	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLSceneHandler.icc	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLSceneHandler.icc,v 1.7 2006/06/29 21:17:58 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredQt.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredQt.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredQt.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredQt.hh,v 1.7 2007/06/25 21:17:44 $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4OpenGLStoredQt.hh,v 1.1 2007/09/28 14:44:13 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredQtViewer.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredQtViewer.hh,v 1.9 2007/06/25 21:17:46 $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// $Id: G4OpenGLStoredQtViewer.hh,v 1.2 2007/11/08 17:00:51 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
@@ -40,8 +40,9 @@
 #include "G4OpenGLStoredViewer.hh"
 #include "G4OpenGLQtViewer.hh"
-#include <QGLWidget>
-#include <QApplication>
-#include <QMouseEvent>
-#include <QContextMenuEvent>
+
+#include <QtOpenGL/QGLWidget>
+
+class QMouseEvent;
+class QContextMenuEvent;
 
 class G4OpenGLStoredSceneHandler;
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredSceneHandler.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredSceneHandler.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredSceneHandler.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredSceneHandler.hh,v 1.21 2006/08/30 11:43:57 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLStoredSceneHandler.hh,v 1.24 2007/04/04 16:50:26 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -63,21 +63,11 @@
   void EndModeling ();
   void AddPrimitive (const G4Polyline&);
+  void AddPrimitive (const G4Polymarker&);
   void AddPrimitive (const G4Circle&);
   void AddPrimitive (const G4Square&);
-  void AddPrimitive (const G4Polymarker& polymarker);
-  // Explicitly invoke base class methods to avoid warnings about
-  // hiding of base class methods...
-  void AddPrimitive (const G4Text& text) {
-    G4OpenGLSceneHandler::AddPrimitive (text);
-  }
-  void AddPrimitive (const G4Polyhedron& polyhedron) {
-    G4OpenGLSceneHandler::AddPrimitive (polyhedron);
-  }
-  void AddPrimitive (const G4NURBS& nurbs) {
-    G4OpenGLSceneHandler::AddPrimitive (nurbs);
-  }
-  void AddPrimitive (const G4Scale& scale) {
-    G4OpenGLSceneHandler::AddPrimitive (scale);
-  }
+  void AddPrimitive (const G4Text&);
+  void AddPrimitive (const G4Scale&);
+  void AddPrimitive (const G4Polyhedron&);
+  void AddPrimitive (const G4NURBS&);
   void ClearStore ();
   void ClearTransientStore ();
@@ -98,7 +88,8 @@
   struct PO {
     PO(G4int id, const G4Transform3D& tr = G4Transform3D()):
-      fDisplayListId(id), fTransform(tr) {}
+      fDisplayListId(id), fTransform(tr), fPickName(0) {}
     G4int fDisplayListId;
     G4Transform3D fTransform;
+    GLuint fPickName;
   };
   std::vector<PO> fPOList; 
@@ -107,8 +98,9 @@
   struct TO {
     TO(G4int id, const G4Transform3D& tr = G4Transform3D()):
-      fDisplayListId(id), fTransform(tr),
-      fStartTime(-DBL_MAX), fEndTime(DBL_MAX) {}
+      fDisplayListId(id), fTransform(tr), fPickName(0),
+      fStartTime(-G4OPENGL_DBL_MAX), fEndTime(G4OPENGL_DBL_MAX) {}
     G4int fDisplayListId;
     G4Transform3D fTransform;
+    GLuint fPickName;
     G4double fStartTime, fEndTime;  // Time range (e.g., for trajectory steps).
     G4Colour fColour;
@@ -119,4 +111,7 @@
   // A proper implementation would use geometry hierarchy.
   std::map <const G4VSolid*, G4int, std::less <const G4VSolid*> > fSolidMap;
+
+private:
+  G4bool fProcessing2D;
 };
 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredViewer.hh,v 1.9 2006/06/29 21:18:02 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredWin32.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredWin32.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredWin32.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredWin32.hh,v 1.7 2006/06/29 21:18:04 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredWin32Viewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredWin32Viewer.hh,v 1.7 2006/06/29 21:18:06 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredX.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredX.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredX.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredX.hh,v 1.7 2006/06/29 21:18:08 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredXViewer.hh,v 1.7 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXm.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXm.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXm.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredXm.hh,v 1.6 2006/06/29 21:18:12 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXmViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXmViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLStoredXmViewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLStoredXmViewer.hh,v 1.7 2006/07/03 16:38:13 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLTransform3D.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLTransform3D.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLTransform3D.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLTransform3D.hh,v 1.7 2006/06/29 21:18:16 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLViewer.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLViewer.hh,v 1.18 2006/09/19 16:13:15 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLViewer.hh,v 1.20 2007/05/08 11:04:11 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -38,4 +38,5 @@
 
 #include "G4VViewer.hh"
+#include "G4OpenGL.hh"
 
 class G4OpenGLSceneHandler;
@@ -62,5 +63,19 @@
   void HLRThirdPass ();
   void InitializeGLView ();
+  void Pick(GLdouble x, GLdouble y);
   virtual void CreateFontLists () {}
+  virtual void print();
+//////////////////////////////Vectored PostScript production functions///
+  void printBuffer(GLint, GLfloat*);
+  GLfloat* spewPrimitiveEPS (FILE*, GLfloat*);
+  void spewSortedFeedback (FILE*, GLint, GLfloat*);
+  void spewWireframeEPS (FILE*, GLint, GLfloat*, const char*);
+  void print3DcolorVertex(GLint, GLint*, GLfloat*);
+  G4float                           pointSize;
+  char                              print_string[50];
+  G4bool                            print_colour;
+  G4bool                            vectored_ps;
+
+  G4OpenGLSceneHandler& fOpenGLSceneHandler;
   G4Colour background;      //the OpenGL clear colour
   G4bool
@@ -80,4 +95,14 @@
 };
 
+typedef struct G4OpenGLViewerFeedback3Dcolor {
+  GLfloat x;
+  GLfloat y;
+  GLfloat z;
+  GLfloat red;
+  GLfloat green;
+  GLfloat blue;
+  GLfloat alpha;
+} Feedback3Dcolor;
+
 #endif
 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLViewerMessenger.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLViewerMessenger.hh,v 1.4 2006/09/19 16:14:21 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLViewerMessenger.hh,v 1.5 2007/05/08 11:04:11 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 
 #ifndef G4OPENGLVIEWERMESSENGER_HH
@@ -37,6 +37,8 @@
 class G4UIdirectory;
 class G4UIcommand;
+class G4UIcmdWithoutParameter;
 class G4UIcmdWithADouble;
 class G4UIcmdWithABool;
+class G4UIcmdWithAString;
 
 class G4OpenGLViewerMessenger: public G4UImessenger {
@@ -50,4 +52,5 @@
   static G4OpenGLViewerMessenger* fpInstance;
   G4UIdirectory* fpDirectory;
+  G4UIcmdWithoutParameter* fpCommandPrintEPS;
   G4UIdirectory* fpDirectorySet;
   G4UIcommand* fpCommandDisplayHeadTime;
@@ -55,4 +58,5 @@
   G4UIcommand* fpCommandEndTime;
   G4UIcmdWithADouble* fpCommandFade;
+  G4UIcmdWithAString* fpCommandPrintMode;
   G4UIcommand* fpCommandStartTime;
   G4UIcmdWithABool* fpCommandTransparency;
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLWin32Viewer.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLWin32Viewer.hh,v 1.13 2006/06/29 21:18:20 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXViewer.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXViewer.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXViewer.hh	(revision 593)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXViewer.hh,v 1.26 2006/11/01 11:22:27 allison Exp $
-// GEANT4 tag $Name: geant4-08-02-patch-01 $
+// $Id: G4OpenGLXViewer.hh,v 1.27 2007/05/08 11:04:11 allison Exp $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
@@ -53,4 +53,5 @@
 
   friend class G4OpenGLXViewerMessenger;
+  friend class G4OpenGLXmViewer;
 
 public:
@@ -59,5 +60,4 @@
   void SetView ();
   void ShowView ();
-  void print();
 
 protected:
@@ -66,22 +66,10 @@
   virtual void CreateMainWindow ();
   virtual void CreateFontLists ();
+  void print();
 
   static int snglBuf_RGBA[12];
   static int dblBuf_RGBA[13];
 
-  char                              print_string[50];
-  G4bool                            print_colour,
-                                    vectored_ps;
-
-//////////////////////////////Vectored PostScript production functions//////////////////////////////
-  void printBuffer(GLint, GLfloat*);
-  GLfloat* spewPrimitiveEPS (FILE*, GLfloat*);
-  void spewSortedFeedback (FILE*, GLint, GLfloat*);
-  void spewWireframeEPS (FILE*, GLint, GLfloat*, const char*);
-  void print3DcolorVertex(GLint, GLint*, GLfloat*);
-  G4float                           pointSize;
-
-
-//////////////////////////////Pixmap (screen dump) production functions//////////////////////////////
+//////////////////////////////Pixmap (screen dump) production functions/////
   GLubyte* grabPixels (int inColor,
 		       unsigned int width,
@@ -129,14 +117,4 @@
 };
 
-typedef struct G4OpenGLXViewerFeedback3Dcolor {
-  GLfloat x;
-  GLfloat y;
-  GLfloat z;
-  GLfloat red;
-  GLfloat green;
-  GLfloat blue;
-  GLfloat alpha;
-} Feedback3Dcolor;
-
 #endif
 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmBox.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmBox.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmBox.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmBox.hh,v 1.7 2006/06/29 21:18:24 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmFourArrowButtons.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmFourArrowButtons.hh,v 1.6 2006/06/29 21:18:26 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmFramedBox.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmFramedBox.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmFramedBox.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmFramedBox.hh,v 1.7 2006/06/29 21:18:28 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmPushButton.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmPushButton.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmPushButton.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmPushButton.hh,v 1.7 2006/06/29 21:18:30 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmRadioButton.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmRadioButton.hh,v 1.7 2006/06/29 21:18:32 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmResources.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmResources.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmResources.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmResources.hh,v 1.5 2006/06/29 21:18:34 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 //
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmSeparator.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmSeparator.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmSeparator.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmSeparator.hh,v 1.6 2006/06/29 21:18:36 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmSliderBar.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmSliderBar.hh,v 1.7 2006/06/29 21:18:38 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
Index: trunk/geant4/visualization/OpenGL/include/G4OpenGLXmTextField.hh
===================================================================
--- trunk/geant4/visualization/OpenGL/include/G4OpenGLXmTextField.hh	(revision 592)
+++ trunk/geant4/visualization/OpenGL/include/G4OpenGLXmTextField.hh	(revision 593)
@@ -26,5 +26,5 @@
 //
 // $Id: G4OpenGLXmTextField.hh,v 1.7 2006/06/29 21:18:40 gunter Exp $
-// GEANT4 tag $Name: geant4-08-01-patch-01 $
+// GEANT4 tag $Name: geant4-09-00-ref-01 $
 //
 // 
